package config

type Config struct {
	ControllerAddress string           `yaml:"ControllerAddress"`
	PndID             string           `yaml:"PndID"`
	UserName          string           `yaml:"UserName"`
	UserPW            string           `yaml:"UserPW"`
	AppName           string           `yaml:"AppName"`
	NetworkElements   []NetworkElement `yaml:"NetworkElements"`
}

type NetworkElement struct {
	Name     string `yaml:"Name"`     // e.g. "Device01"
	UUID     string `yaml:"UUID"`     // e.g. "0d24fbcf-67db-4aac-bf0f-8902b014a7ed"
	Address  string `yaml:"Address"`  // e.g. "10.0.0.2:1337" or "hostname:7030"
	Username string `yaml:"Username"` // e.g. "admin"
	Password string `yaml:"Password"` // e.g. "adminpassword"
	Tls      bool   `yaml:"Tls"`      // e.g. false
	PluginID string `yaml:"PluginID"` // UUID e.g. "823aad29-69be-42f0-b279-90f2c1b6a94d"
}
