package rbac

import (
	"code.fbi.h-da.de/danet/gosdn/controller/interfaces/rbac"
	"code.fbi.h-da.de/danet/gosdn/controller/store"
	"go.mongodb.org/mongo-driver/mongo"
)

// NewUserStore returns a userStore.
func NewUserStore(db *mongo.Database) rbac.UserStore {
	storeMode := store.GetStoreMode()

	switch storeMode {
	case store.Database:
		return NewDatabaseUserStore(db)
	default:
		store := NewFileSystemUserStore()
		return store
	}
}
